function [t,x] = monode(system,tspan,x0,flag,dx,xx) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% implementation de mon ode 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
t=tspan; 
nt=length(t); %raccourci pour la taille la plus grande
nx=length(x0); 
%%%% taille de x 
x=zeros(nt,nx) ; 
%%%%%% initialisation 
x(1,:)=x0; 
%%%%%%% methode de RK d'ordre 2 
for i=2:nt 
dt=t(i)-t(i-1); 
%%% attention c'est transpose vdpol retourne des 
%%%% vecteurs colonnes
%%%%% concatenation puis evaluation de le chaine 
%%%% de characteres 
F1=dt*eval([system,'(t(i-1),x(i-1,:),flag,dx,xx)'])'; 
F2=dt*eval([system,'(t(i),x(i-1,:)+F1,flag,dx,xx)'])';
x(i,:)=x(i-1,:)+0.5*(F1+F2) ; 
end 
